import { TabContentItem } from '@nativescript-community/ui-material-core-tabs/tab-content-item';
import { TabNavigationBase } from '@nativescript-community/ui-material-core-tabs/tab-navigation-base';
import { TabsPosition } from '@nativescript-community/ui-material-core-tabs/tab-navigation/index-common';
import { TabStrip } from '@nativescript-community/ui-material-core-tabs/tab-strip';
import { TabStripItem } from '@nativescript-community/ui-material-core-tabs/tab-strip-item';
import { Color, CoreTypes, Font, Property } from '@nativescript/core';
export { TabContentItem, TabStrip, TabStripItem };
declare class MDTabBarControllerImpl extends UITabBarController {
    private _owner;
    static initWithOwner(owner: WeakRef<BottomNavigation>): MDTabBarControllerImpl;
    viewWillAppear(animated: boolean): void;
    viewDidDisappear(animated: boolean): void;
    viewWillTransitionToSizeWithTransitionCoordinator(size: CGSize, coordinator: UIViewControllerTransitionCoordinator): void;
    traitCollectionDidChange(previousTraitCollection: UITraitCollection): void;
}
export declare const iosCustomPositioningProperty: Property<BottomNavigation, boolean>;
export declare class BottomNavigation extends TabNavigationBase {
    tabsPosition: TabsPosition;
    viewController: MDTabBarControllerImpl;
    items: TabContentItem[];
    private mDelegate;
    private mMoreNavigationControllerDelegate;
    private mIconsCache;
    private mSelectedItemColor;
    private mUnSelectedItemColor;
    iosCustomPositioning: boolean;
    constructor();
    createNativeView(): UIView;
    initNativeView(): void;
    disposeNativeView(): void;
    onLoaded(): void;
    onUnloaded(): void;
    get ios(): UITabBarController;
    layoutNativeView(left: number, top: number, right: number, bottom: number): void;
    _setNativeViewFrame(nativeView: UIView, frame: CGRect): void;
    onSelectedIndexChanged(oldIndex: number, newIndex: number): void;
    getTabBarBackgroundColor(): UIColor;
    setTabBarBackgroundColor(value: UIColor | Color): void;
    setTabBarItemTitle(tabStripItem: TabStripItem, value: string): void;
    setTabBarItemBackgroundColor(tabStripItem: TabStripItem, value: UIColor | Color): void;
    setTabBarItemColor(tabStripItem: TabStripItem, value: UIColor | Color): void;
    private setItemColors;
    private setIconColor;
    setTabBarIconColor(tabStripItem: TabStripItem, value: UIColor | Color): void;
    setTabBarIconSource(tabStripItem: TabStripItem, value: UIColor | Color): void;
    setTabBarItemFontInternal(tabStripItem: TabStripItem, value: Font): void;
    setTabBarItemTextTransform(tabStripItem: TabStripItem, value: CoreTypes.TextTransformType): void;
    getTabBarHighlightColor(): UIColor;
    setTabBarHighlightColor(value: UIColor | Color): void;
    getTabBarSelectedItemColor(): Color;
    setTabBarSelectedItemColor(value: Color): void;
    getTabBarUnSelectedItemColor(): Color;
    setTabBarUnSelectedItemColor(value: Color): void;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    _onViewControllerShown(viewController: UIViewController): void;
    private _actionBarHiddenByTabView;
    _handleTwoNavigationBars(backToMoreWillBeVisible: boolean): void;
    private getViewController;
    private setViewControllers;
    private setItemImages;
    updateAllItemsColors(): void;
    private updateItemColors;
    private createTabBarItem;
    private getIconRenderingMode;
    private getIcon;
    private getFixedSizeIcon;
    private setViewAttributes;
}
